<rtflowfile version="1.0">
   <block name="Distance" folder="Standard\Arithmetic\" width="64" height="80">
      <resize constrainprop="false" allow="true"/>
      <instancename show="true" position="up"/>
      <blockname show="false" position="down"/>
      <portnames show="true" inside="true"/>
      <graphic class="rect" x1="0" y1="0" x2="64" y2="80">
         <fill fill="true" color="0x00EEEEEE"/>
      </graphic>
      <graphic class="line" x1="16" y1="40" x2="48" y2="40" style="solid"/>
      <graphic class="line" x1="16" y1="40" x2="16" y2="36" style="solid"/>
      <graphic class="line" x1="48" y1="40" x2="48" y2="36" style="solid"/>
      <graphic class="line" x1="32" y1="40" x2="32" y2="38" style="solid"/>
      <doc>Computes the distance between two points. The points are given as two pairs of real cartesian coordinates (x1,y1) and (x2,y2).</doc>
      <port name="x1" type="real" x="0" y="16" kind="input" dir="left">
         <doc>X coordinate of first point.</doc>
      </port>
      <port name="y1" type="real" x="0" y="32" kind="input" dir="left">
         <doc>Y coordinate of first point.</doc>
      </port>
      <port name="x2" type="real" x="0" y="48" kind="input" dir="left">
         <doc>X coordinate of second point.</doc>
      </port>
      <port name="y2" type="real" x="0" y="64" kind="input" dir="left">
         <doc>Y coordinate of second point.</doc>
      </port>
      <port name="d" type="real" x="64" y="16" kind="output" dir="right">
         <doc>The distance between (x1,y1) and (x2,y2).</doc>
      </port>
   </block>
   <schematic name="Distance" width="903" height="602">
      <editor gridsize="16" alignports="true" autovalue="false"/>
      <binstance name="x1" block="RealInput" x="48" y="48"/>
      <binstance name="y1" block="RealInput" x="48" y="96"/>
      <binstance name="x2" block="RealInput" x="48" y="64"/>
      <binstance name="y2" block="RealInput" x="48" y="112"/>
      <binstance name="Sub1" block="Sub" x="96" y="48"/>
      <binstance name="Sub2" block="Sub" x="96" y="96"/>
      <binstance name="Length1" block="Length" x="176" y="48"/>
      <binstance name="d" block="RealOutput" x="336" y="56"/>
      <connection name="x1" port1="x1.o" port2="Sub1.i0">
         <point x="64" y="56"/>
         <point x="98" y="56"/>
      </connection>
      <connection name="x2" port1="x2.o" port2="Sub1.i1">
         <point x="64" y="72"/>
         <point x="98" y="72"/>
      </connection>
      <connection name="y1" port1="y1.o" port2="Sub2.i0">
         <point x="64" y="104"/>
         <point x="98" y="104"/>
      </connection>
      <connection name="y2" port1="y2.o" port2="Sub2.i1">
         <point x="64" y="120"/>
         <point x="98" y="120"/>
      </connection>
      <connection name="dx" port1="Sub1.o" port2="Length1.dx">
         <point x="128" y="64"/>
         <point x="176" y="64"/>
      </connection>
      <connection name="dy" port1="Sub2.o" port2="Length1.dy">
         <point x="128" y="112"/>
         <point x="152" y="112"/>
         <point x="152" y="80"/>
         <point x="176" y="80"/>
      </connection>
      <connection name="d" port1="Length1.l" port2="d.i0">
         <point x="224" y="64"/>
         <point x="336" y="64"/>
      </connection>
   </schematic>
</rtflowfile>
